package com.composition.android.ad.admob.bean

import com.composition.android.lib.ad.AdManager
import com.composition.android.lib.ad.basic.strategy.IStrategy
import com.composition.android.lib.ad.bean.AdUnitBean
import com.composition.android.lib.ad.bean.AdUnitLoadConfig
import com.composition.android.lib.ad.impl.NormalStrategy
import com.google.android.gms.ads.AdSize
import com.composition.android.ad.admob.util.getAdSize

/**
 * @classname:
 * @auther: LiuXiaoLong
 * @date: 2022/9/5
 * description:
 */
class AdmobAdUnitBean(
    adSlotName: String,
    advertisersName: String,
    adType: String,
    adUnitId: String,
    var adSize: AdSize = getAdSize(AdManager.instance.context),
    loadStrategy: IStrategy = NormalStrategy(),
    requestAdConfig: AdUnitLoadConfig = AdUnitLoadConfig()
) : AdUnitBean(adSlotName, advertisersName, adType, adUnitId, loadStrategy, requestAdConfig)